# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/silergy,sy7636a.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: silergy sy7636a PMIC

maintainers:
  - Alistair Francis <alistair@alistair23.me>

properties:
  compatible:
    const: silergy,sy7636a

  reg:
    description:
      I2C device address.
    maxItems: 1

  "#address-cells":
    const: 1

  "#size-cells":
    const: 0

  '#thermal-sensor-cells':
    const: 0

  epd-pwr-good-gpios:
    description:
      Specifying the power good GPIOs.
    maxItems: 1

  enable-gpios:
    maxItems: 1

  vcom-en-gpios:
    maxItems: 1

  vin-supply:
    description:
      Supply for the whole chip. Some vendor kernels and devicetrees
      declare this as a non-existing GPIO named "pwrall".

  regulators:
    type: object

    properties:
      compatible:
        const: silergy,sy7636a-regulator

      vcom:
        type: object
        $ref: /schemas/regulator/regulator.yaml#
        unevaluatedProperties: false
        description:
          The regulator for the compenstation voltage. Enabling/disabling this
          enables/disables the entire device.
        properties:
          regulator-name:
            const: vcom

    additionalProperties: false

required:
  - compatible
  - reg
  - '#thermal-sensor-cells'

additionalProperties: false

examples:
  - |
    i2c {
      #address-cells = <1>;
      #size-cells = <0>;

      pmic@62 {
        compatible = "silergy,sy7636a";
        reg = <0x62>;
        pinctrl-names = "default";
        pinctrl-0 = <&pinctrl_epdpmic>;
        #thermal-sensor-cells = <0>;

        regulators {
          reg_epdpmic: vcom {
            regulator-name = "vcom";
            regulator-boot-on;
          };
        };
      };
    };
...
